当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 9 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [已二次确认] ati 高端显卡驱动问题
帖子发表于 : 2006-12-03 23:54 
头像

注册: 2006-11-24 11:00
帖子: 194
地址: 太阳系第3行星
送出感谢: 0 次
接收感谢: 0 次
因为我用ubuntu 才几天,比较相信官方的 package 导致几天郁闷

我的 ati x1600 512m 显卡

经过多次测试,已经确实现在源里的 8.28 驱动不支持 x1600,装上后不支持vx 并且 不支持 gl 直接写屏等等一系列问题

今晚咬牙装上官版驱动 8.31.5(装过二次测试)结果的确证实,vx 得到开启(mplayer -vo vx 可用),并且 glxinfo | grep render 正常响应为

direct rendering: Yes
GLX_ATI_pixel_format_float, GLX_ATI_render_texture
OpenGL renderer string: ATI Mobility Radeon X1600 Generic

而不是单单一个 direct rendering: Yes

同时在 glxgears -printfps 下恢复了“大部分”真本事,是源里的驱动的速度的不是个位数的倍数

重新装上 wine 终于 running 的非常perfession( :D 终于能玩上 war3、Commander了,以前咋整都不行,因为我在wine的windows 下建了一个debug来接管VIO发现video 问题,几天来都直骂ATI,原来是。。。)

关于安装方法 http://wiki.cchtml.com/index.php/Ubuntu_Edgy_Installation_Guide#Method_2:_Generating.2FInstalling_Ubuntu_packages_for_the_new_8.31.5_drivers_in_Ubuntu_Edgy_Manually

希望官方给予重视,将相关驱动update 到比较合适的版本,要么就在软件包管理里提示一下,此文件可能不是最新的或者如果有问题推荐使用官方的可以再加个提示使用未经testing的drvier比较危险云云也不是不行,避免象我这样的ubuntu 新人郁闷好几天,还一直笨笨的相信ubuntu 官源比较稳定和更好的兼容性。:( 。。ubuntu 6.1 是才多久的系统呀?而且wiki 里 6.10 根本没有ati 官版驱动一说,只有5.x 提到安装官方驱动,我还一直以为6.10 象我的二个双核cpu一样的良好支持。。

要不是我不太玩游戏估计打了退堂鼓了,我的显卡当初可是2000多买回来的,难道非要强调用户要好机器玩winxp 烂机器来玩 linux?如果努力点,linux 还是有市场的,我愿意当其中一名责任志愿者。

[2006-12-16 update]源里的应该是使用ati 老的开源驱动写的,所以不支持X1??? 整个系列的显卡


最后由 arli 编辑于 2006-12-16 4:43,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-12-04 4:20 
头像

注册: 2006-05-13 4:02
帖子: 10606
送出感谢: 0 次
接收感谢: 7
你可以看新手区的精华文章。


_________________
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-12-04 11:09 
头像

注册: 2006-11-24 11:00
帖子: 194
地址: 太阳系第3行星
送出感谢: 0 次
接收感谢: 0 次
zhuqin_83 写道:
你可以看新手区的精华文章。


楼上兄台误解我的意思

里面讲的是怎么安装,安装我没有必要去瞧他写的,刚瞧了下,不过也只是翻译了一下我顶楼贴的地址。

最重要的是并没有说到软件包源里不支持高端显卡,或者说源里的对高端显卡支持有问题。。我瞧见了又如何呀,关键不是我不会安装。。

引用:
至 ubuntu tim:


如果有人说过(特别是官站wiki),源里的驱动对显卡支持有问题,我自然会找办法装官版的。。

关键就在于,我们相信软件包里的东西。。而且ati 压根就没出 for ubunto 的驱动,如此我就以为管源里的包是经过 fix 或者rebuild for ubuntu 的。。 毕竟不象fedora 或者 suse 那么广的支持度,因为我刚用ubuntu 对不了解的特别是驱动实在不敢自己动手加工,自然就相信官版的

我还算好,虽然对ubuntu 不熟,但unix 在许多年前用过(当时没用GUI,用的是freebsd 和 radhat),所以自己会动手找且试,我相信很多真正的新手接触到ubuntu 一定比我痛苦数倍,又何必呢?一个OS最重要的就是驱动,驱动这么懒散怎么能吸引新人呢,何况是最关键的显卡驱动,电脑吸引非专业人士的就是屏幕上的点阵和磁圈里的声音。。

所谓的诸多 M$ 竞争者真的领悟到 M$ 的成功点了?ubuntu 本就是新手级 linux,没suse 强大的后盾和效果,但也有较强大的软件包和社区支持,它完全可以面对计算机新人,但是关键的瓶颈问题是阻碍它发光的致命因素。。

过些时候我也油条了,到时再瞧这贴肯定好笑,但这恰恰是市场成功与否的关键,那就是视角不同

06-12-4 修改:

换句话说,如果加上几M的 mplayer 那么整个ubuntu 对于计算机新手来说就大大不一样,市场价值也得到几倍的改善,对于使用电脑占86% 的 player user,别不服一张ubuntu DVD 还不如几M 的 gmplayer 价值高。。

许多年前没有gui,linux 不可能有非专业用户使用它(因为用户想做的事用它实现起来太麻烦而且根本就没驱动之一说,就象很久以前的dos dev我的大脑里只有int x)后来有了各种gui 及发行版,却还是没有根本的解决此问题。。难道要搞成 Gentoo 那样,虽然牛B,但相信它面对的用户群在类似中国这样的国家要宏大还要十多年,我还指望我头戴着ubuntu 的帽子去度假时能碰到不少“同志”朋友

至于不提供package(或仅基础package 服务)的 linx 能学到东西,我一直执中立见解,因为对于我只要是方便的OS,至于开发我不喜欢开发专属于任何平台的东西,只期望搞跨平台的东西,数十年后M$没落了那么之前搞linx 的也是垄断和闭源的罪人之一,就象现在支持FF、google 一样他们难道不是资本家?市场份额上来了,同样也TMD的搞门槛和增值,只不过现在有个强敌 microsoft 成了千古罪羊,如果M$不在了,现在强敌就是这些喊口号所谓的M$敌人。。要真正的拼搏就得学 MAC,人家才是M$ 真正有力量的对手,没有那么怪叫一直被深入大众所承认

大约12年前我的大脑里全是8086 的中断向量,7年前我的大脑里记满是VC的函数库,现在呢?都是.net 和 java(PL CGI、PHP之类是我最早学的WEB开发语言,现在从没再用过),后来玩gcc 也一样,当年的library 现在已经都 too older了,还不是得重新update,这么多年学到什么毛了?光编程语言我就会十几种,国际标准协议也读过不少,终有一天当是领导了,拥有这些过时知识就等于是超级的浪费,有用吗?唯一有用的是设计思想。。

所以说OS是拿来用的,电脑只是电阻+电容,有的时候没有必要去研究电阻和电容的组合数量,因为有一天它将被封装在一个集成电路块里面,到时还得学的就是读集成门电路图(就好象现在新人学会注册表、INI修改高兴的要命,不知道他高兴个啥劲,所谓的修改U化个性化类文章还特受欢迎,其实毛都没学会,那是M$的东西,二年一次变动一个非专业人士有必要跟屁股后面去研究吗,linx也同样拥有领域性),但若我不是那个职业人士,何必要自己去学习电阻电容然后学门电器然后焊一台电视回来看吗?还不如人家工厂生产线下来的电视好。。如果一直期望自己动手学东西盲从那些一个月几千块的所谓的“高手”,那桌子、椅子床甚至电视房子为啥你不动手做呢?不是可以学东西吗。。如果不同意那么apt-get 就没有存在的意义,叫用户直接到各作者那拉soures code 然后mark 不是更好。。

另外,我上面提到的86% 的 player user并不是指小学生玩电脑,现在新一代的人才普遍教育程度都很高,不用说赶上花旗国,起码英文文档不再是障碍,只要稍微提示或者告诉一下用户,用户通常自己会找到办法解决的,比如发贴这个论坛,mak install 打字还是会的。。

比较实在,有抵触情绪请三思而量解,纯属个人意见


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-12-10 20:36 

注册: 2006-09-15 9:22
帖子: 25
地址: GZ
送出感谢: 0 次
接收感谢: 0 次
楼主,我的平台是AMD64,原来用6.06版本的时候,用官方驱动build安装包都没问题,现在升级到6.10后,无法直接安装驱动,也无法build安装包,请问知道为什么吗?log如下:

$sudo sh ./ati-driver-installer-8.31.5-x86.x86_64.run --buildpkg Ubuntu/edgy
Creating directory fglrx-install
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.31.5....................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
==================================================
ATI Technologies Linux Driver Installer/Packager
==================================================
Generating package: Ubuntu/edgy
[: 182: ==: unexpected operator
./packages/Ubuntu/ati-packager.sh: 182: pushd: not found
Package build failed!
Package build utility output:
dpkg-parsechangelog: error: cannot open debian/changelog to find format: No such file or directory
dpkg-buildpackage: cannot determine name of current package
./packages/Ubuntu/ati-packager.sh: 182: popd: not found
Removing temporary directory: fglrx-install


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-12-10 21:11 

注册: 2006-09-15 9:22
帖子: 25
地址: GZ
送出感谢: 0 次
接收感谢: 0 次
不好意思,是我自己的问题,漏了
代码:
ln -sf bash /bin/sh

```
呵呵


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-12-10 22:31 

注册: 2006-09-15 9:22
帖子: 25
地址: GZ
送出感谢: 0 次
接收感谢: 0 次
这回变了:
代码:
LD_PRELOAD= dh_shlibdeps
dpkg: /usr/x86_64-linux-gnu/lib64/libpthread.so.0 not found.
dpkg: /usr/x86_64-linux-gnu/lib64/libstdc++.so.5 not found.
dpkg: /usr/x86_64-linux-gnu/lib64/libm.so.6 not found.
dpkg: /usr/x86_64-linux-gnu/lib64/libgcc_s.so.1 not found.
dpkg: /usr/x86_64-linux-gnu/lib64/libc.so.6 not found.
dpkg: /usr/x86_64-linux-gnu/lib64/libXext.so.6 not found.
dpkg: /usr/x86_64-linux-gnu/lib64/libX11.so.6 not found.
dpkg: /usr/x86_64-linux-gnu/lib64/libdl.so.2 not found.
dpkg: /usr/x86_64-linux-gnu/lib64/librt.so.1 not found.
dpkg: /usr/x86_64-linux-gnu/lib64/libGL.so.1 not found.
dpkg: /usr/x86_64-linux-gnu/lib64/libXrandr.so.2 not found.
dpkg: /usr/x86_64-linux-gnu/lib64/libXrender.so.1 not found.
dpkg: /usr/x86_64-linux-gnu/lib/libXext.so.6 not found.
dpkg: /usr/x86_64-linux-gnu/lib/libX11.so.6 not found.
dpkg: /usr/x86_64-linux-gnu/lib/libpthread.so.0 not found.
dpkg: /usr/x86_64-linux-gnu/lib/libdl.so.2 not found.
dpkg: /usr/x86_64-linux-gnu/lib/libc.so.6 not found.
dpkg: /usr/x86_64-linux-gnu/lib/libm.so.6 not found.
dpkg: /usr/x86_64-linux-gnu/lib/libstdc++.so.5 not found.
dpkg: /usr/x86_64-linux-gnu/lib/librt.so.1 not found.
dpkg: /usr/x86_64-linux-gnu/lib/libGL.so.1 not found.
dpkg: /usr/x86_64-linux-gnu/lib64/libfglrx_gamma.so.1 not found.
dpkg-shlibdeps: failure: dpkg --search gave error exit status 1
dh_shlibdeps: command returned error code 256


dpkg搜索的库怎么会在这么奇怪的地方?以前没有啊


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2006-12-11 19:39 
头像

注册: 2006-11-24 11:00
帖子: 194
地址: 太阳系第3行星
送出感谢: 0 次
接收感谢: 0 次
楼上你下的驱动是 x64 版本的吗?


_________________
要爱护linux 就象爱护我们的庄稼地一样


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-01-24 9:18 

注册: 2006-09-15 9:22
帖子: 25
地址: GZ
送出感谢: 0 次
接收感谢: 0 次
当然是,不过我现在已经不用了,直接用内核提供的驱动也可以打开direct rendering,glxgear也有2000多分```

我下了2.6.18内核自己编译了。


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2007-01-24 11:50 

注册: 2006-03-24 11:17
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
Linux下玩Ati基本是给自己找不自在。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 9 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译